var queries = [
    
    "DROP TABLE IF EXISTS ArtistTbl;",
    "DROP TABLE IF EXISTS ChordTbl;",
    "DROP TABLE IF EXISTS Playlist_Song_Tbl;",
    "DROP TABLE IF EXISTS Playlist_Tbl;",
    "DROP TABLE IF EXISTS SongTbl;",
    "DROP TABLE IF EXISTS Song_Author_Tbl;",
    "DROP TABLE IF EXISTS Song_Chord_Tbl;",
    "DROP TABLE IF EXISTS Song_Singer_Tbl;",
	
	"CREATE TABLE ArtistTbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,artist_id INTEGER,artist_name TEXT NOT NULL,artist_ascii TEXT NOT NULL,UNIQUE (artist_id) ON CONFLICT REPLACE);",
    "CREATE TABLE ChordTbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,chord_id INTEGER,chord_name TEXT NOT NULL,chord_relations TEXT,UNIQUE (chord_id) ON CONFLICT REPLACE);",
	"CREATE TABLE Playlist_Song_Tbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,playlist_id INTEGER REFERENCES Playlist_Tbl(playlist_id),song_id INTEGER REFERENCES SongTbl(song_id),UNIQUE (playlist_id,song_id) ON CONFLICT REPLACE);",
	"CREATE TABLE Playlist_Tbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,playlist_id INTEGER,playlist_name TEXT,playlist_description TEXT,playlist_date TEXT,playlist_public INTEGER,UNIQUE (playlist_id) ON CONFLICT REPLACE);",
	"CREATE TABLE SongTbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,song_id INTEGER,song_title TEXT NOT NULL,song_link TEXT,song_content TEXT,song_first_lyric TEXT,song_date TEXT,song_title_ascii TEXT,song_lastview INTEGER,song_isfavorite INTEGER,song_rhythm TEXT,UNIQUE (song_id) ON CONFLICT REPLACE);",
	"CREATE TABLE Song_Author_Tbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,song_id INTEGER REFERENCES SongTbl(song_id),artist_id INTEGER REFERENCES ArtistTbl(artist_id),UNIQUE (song_id,artist_id) ON CONFLICT REPLACE);",
	"CREATE TABLE Song_Chord_Tbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,song_id INTEGER REFERENCES SongTbl(song_id),chord_id INTEGER REFERENCES ChordTbl(chord_id),UNIQUE (song_id,chord_id) ON CONFLICT REPLACE);",
	"CREATE TABLE Song_Singer_Tbl (_id INTEGER PRIMARY KEY AUTOINCREMENT,song_id INTEGER REFERENCES SongTbl(song_id),artist_id INTEGER REFERENCES ArtistTbl(artist_id),UNIQUE (song_id,artist_id) ON CONFLICT REPLACE);",
	
	
];